rmd160ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/ripemd.h>`

Go to the source code of this file.

## Macros

#define | RMD160_CTX RIPEMD160_CTX
#define | RMD160_Init RIPEMD160_Init
#define | RMD160_Update RIPEMD160_Update
#define | RMD160_BLOCK_LENGTH RIPEMD160_CBLOCK
#define | RMD160_DIGEST_LENGTH RIPEMD160_DIGEST_LENGTH

## Functions

void | RMD160_Finish (RMD160_CTX *ctx, char *buf)

## Macro Definition Documentation

#define RMD160_BLOCK_LENGTH RIPEMD160_CBLOCK

Definition at line 14 of file rmd160ossl.h.

#define RMD160_CTX RIPEMD160_CTX

Definition at line 9 of file rmd160ossl.h.

#define RMD160_DIGEST_LENGTH RIPEMD160_DIGEST_LENGTH

Definition at line 15 of file rmd160ossl.h.

#define RMD160_Init RIPEMD160_Init

Definition at line 11 of file rmd160ossl.h.

#define RMD160_Update RIPEMD160_Update

Definition at line 12 of file rmd160ossl.h.

## Function Documentation

void RMD160_Finish | ( | RMD160_CTX * | ctx,
|  | char * | buf
| ) |  |

Definition at line 6 of file rmd160ossl.c.